export declare namespace ResUtils {
    function loadRes<T extends cc.Asset>(resource: string, type: new () => T, maxTryCount?: number): Promise<T>;
    function loadOnlineImg(container: cc.Sprite, url: string): Promise<any>;
    /**释放资源 */
    function releaseRes(resource: string): void;
    /**批量释放资源 */
    function releaseResArray(resources: string[]): void;
    function releaseAsset(asset: cc.Asset): void;
    function releaseAssetArray(assets: cc.Asset[]): void;
    /**加载预制体并实例化node */
    function createWithPrefab(resource: string): Promise<cc.Node>;
    function loadJsonRes(path: string, maxTryCount?: number): Promise<any>;
    /**加载压缩过后的json文件并返回json文件 */
    function loadManifestResToJson(path: string, maxTryCount?: number): Promise<any>;
    function loadTextRes(path: string, maxTryCount?: number): Promise<any>;
}
